> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/cli/pdf-pagemaster/usage/output.md).

# PDF Output Options from Command-line

Linearization PDF PageMaster can optimize output PDFs for faster web access. Use -l or --linearize option to improve loading time. Enhance security with encryption and control document permissions. Le

## Linearization

PDF PageMaster can linearize output PDF documents for fast web or network access. This can greatly improve document loading time if you plan to share documents on the web or local network. To linearize (i.e web-optimize) all output documents add -l or --linearize option in the command-line.

Another option that controls the order of pages in the output PDF files is '--reverse' option. Adding '--reverse' in the command-line will reverse the page order in the output file(s).

### Example

`pagemaster -s in.pdf,1-2 \--linearize \--reverse`

Because of the '--reverse' command, the output file 'in\_1-2.pdf' would contain page 2 (from 'in.pdf') followed by page 1. Also, because of the '--linearize' command, the resulting file will be web-optimized.

## Security

PDF PageMaster presents several security options, such as encryption of documents with a password or options for allowing editing, printing, etc. You can control level of access to the document by restricting certain operations that can be performed on the files. Document editing and printing permissions can be also password protected.

### Encryption

If a document is encrypted and the user does not wish to (or is not able to) enter the password on the command line, then the password can be specified to PDF PageMaster in the following ways:

**1.** Use the option -p (-p \<password>) to specify a global password (PDF PageMaster will try to open all encrypted files with this password)

**2.** Specify a password for that particular file using the syntax \<filename>|\<password>,\<page list 1>,...

(This also works for directories if all files that are encrypted in that directory have the same password.)

To encrypt the output documents specify the -u option

-u \<password for created files>

The default encryption algorithm is 128-bit RC4 encryption. However the '--AES' option can be used to change the encryption algorithm to 128-bit AES (Advanced Encryption Standard);

#### Examples

The following commandline will attempt to decode file 'password\_p1.pdf' using the password p1 and then merge its first five pages with otherfile.pdf:

`pagemaster -m password_p1.pdf\|p1,1-5 otherfile.pdf -o out.pdf`

The following command-line will attempt to use the password 'pass' to decode any encrypted files in '1password\_pass.pdf', '2password\_pass.pdf', and '3password\_pass.pdf'. The three files will then be merged:

`pagemaster -m 1password_pass.pdf 2password_pass.pdf 3password_pass.pdf -p pass -o out.pdf`

The following command-line will attempt to use the password 'pass' to decode any encrypted files in '2password\_pass.pdf' and '3password\_pass.pdf' and 'pw' to decode '1password\_pw\.pdf' (and then try pass if pw is not the password of 1password\_pw\.pdf). The three files will then be merged.

`pagemaster -m 1password_pw|pw 2password_pass 3password_pass -p pass --o out.pdf`

Create files file\_2-3.pdf with pages 2-3 of file.pdf and file\_11.pdf with page 11 of file.pdf.

Both of these documents will then be encrypted with 128-bit RC4 encryption and the password out\_pass:

`pagemaster -s -u out_pass file.pdf,2-3,11`

Create files: file\_2-5.pdf with pages 2-5 of file.pdf and file\_7.pdf with page 7 of file.pdf.

Both of these documents will then be encrypted with 128-bit AES encryption and the password out\_pass:

`pagemaster -s -u --AES out_pass file.pdf,2-5,7`

### Permissions

To set the permissions password (which is used to prevent permissions from being changed), specify the -w option: -w \<master password>

To set the permissions, use the options '--enable' and '--disable' with the following values:

{% tabs %}
{% tab title="Shell" %}
{% code lineNumbers="true" %}

```sh
Value       Description
----------- ---------------------------------------
a           All permissions.
p           Printing.
m           Changing the document.
c           Content copying or extraction.
o           Commenting.
f           Filling of form fields.
x           Content extraction for accessibility.
s           Document assembly.
h           High quality printing.
```

{% endcode %}
{% endtab %}
{% endtabs %}

#### Examples

Merge m1.pdf and m2.pdf to create result.pdf and set its permissions so that printing, document assembly, and high quality printing are allowed, but Content copying or extraction, Commenting and Filling of form fields are not allowed:

`pagemaster -m m1.pdf m2.pdf \--enable psh \--disable cof -o result.pdf`

Merge m1.pdf and m2.pdf to create result.pdf and set its permissions so that printing, document assembly, and high quality printing are allowed, but Content copying or extraction, Commenting and Filling of form fields are not allowed:

`pagemaster -m m1.pdf m2.pdf \--enable a \--disable cof -o result.pdf`

## Specifying Pagelists for Merge, Split and Remove Functions.

PDF PageMaster includes a variety of options for selecting specific pages or page ranges while performing the basic operations.

### Pagelists

1. e, o gets even and odd pages in the document respectively. This will allow you to merge, split or remove by even/odd pages.
2. * gets all pages in the document
3. \<start page number>- gets page \<start page number> and all subsequent pages
4. -\<end page number> gets page \<end page number> and all previous pages
5. \<page number> gets the specific page \<page number>
6. \<start page number>-\<end page number> gets all pages between and including \<start page number> and \<end page number>

If \<start page number> is greater than \<end page number>, then the pages are inserted in reverse order.

7. Rules 3 and 5 can be combined to get all even or odd pages between \<start page number> and \<end page number>

e.g. \<start page number>-\<end page number>\<e or o>

### Split-Specific Rules

1. The syntax \<pages per doc>x can be used to split the document into files with \<pages per doc> pages each.
2. With the exception of the above rule, one file will be created for every page list.

### Examples

Produce the file out.pdf containing the following attributes:

1. In ascending order the even pages of 'input.pdf'
2. The first page of 'input.pdf'
3. All pages of 'extra.pdf' in order

`pagemaster -m input.pdf,e,1 extra.pdf -o out.pdf`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/cli/pdf-pagemaster/usage/output.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
